clickable_minimum_required: '7.7.0'

builder: precompiled

framework: ubuntu-sdk-20.04

libraries:
  libreoffice:
    builder: custom
    image_setup:
      run:
      - apt-get update
    env_vars:
      LIBREOFFICE_VERSION: "7.4.2"
      LIBREOFFICE_FULL_VERSION: "7.4.2.3"
    dependencies_host:
    - autoconf
    - bison
    - ccache
    - flex
    - gperf
    - libxml2-utils
    - nasm
    - pkg-config
    - wget
    - xsltproc
    - zip
    - libfontconfig1-dev
    - libxslt1-dev
    - libpython3-dev
    - libx11-dev
    - libx11-xcb-dev
    - libxcb-render0-dev
    - libxext-dev
    dependencies_target:
    - libfontconfig1-dev
    - libnss3-dev
    - libxslt1-dev
    - libjpeg-turbo8-dev
    - liblcms2-dev
    - libcurl4-openssl-dev
    - libsane-dev
    - libicu-dev
    - libgraphite2-dev
    - libharfbuzz-dev
    - libhunspell-dev
    - libhyphen-dev
    - libpng-dev
    - libtiff-dev
    - libwebp-dev
    prebuild:
    - 'wget \
        --no-verbose \
        --continue \
        --show-progress \
        --progress=dot:giga \
        -O libreoffice-${LIBREOFFICE_FULL_VERSION}.tar.xz \
        https://download.documentfoundation.org/libreoffice/src/${LIBREOFFICE_VERSION}/libreoffice-${LIBREOFFICE_FULL_VERSION}.tar.xz'
    - tar -xf ${BUILD_DIR}/libreoffice-${LIBREOFFICE_FULL_VERSION}.tar.xz --strip-components=1
    build:
    - 'BUILD_TRIPLET=$(dpkg-architecture -qDEB_BUILD_GNU_TYPE); \
        [ "${BUILD_TRIPLET}" = "${ARCH_TRIPLET}" ] && \
        native_build=true || cross_build=true; \
        NOCONFIGURE=true ./autogen.sh; \
        ./configure \
        ${cross_build:+--host=${ARCH_TRIPLET}} \
        --with-parallelism \
        --enable-ccache \
        --enable-ld=gold \
        --enable-release-build \
        --disable-odk \
        --disable-report-builder \
        --disable-lpsolve \
        --disable-coinmp \
        --disable-pdfimport \
        --disable-pdfium \
        --disable-skia \
        --enable-python=no \
        --disable-gtk3 \
        --disable-dbus \
        --disable-sdremote \
        --disable-gio \
        --disable-gui \
        --disable-gstreamer-1-0 \
        --disable-cups \
        --disable-mariadb-sdbc \
        --disable-postgresql-sdbc \
        --disable-firebird-sdbc \
        --disable-dconf \
        --disable-ldap \
        --disable-librelogo \
        --disable-poppler \
        --disable-scripting-beanshell \
        --disable-scripting-javascript \
        --disable-zxing \
        --without-java \
        --without-webdav \
        --with-lang= \
        --with-tls="nss" \
        --with-system-jpeg \
        --with-system-lcms2 \
        --with-system-curl \
        --with-system-nss \
        --with-system-icu \
        --with-system-graphite \
        --with-system-harfbuzz \
        --with-system-openssl \
        --with-system-hunspell \
        --with-system-altlinuxhyph \
        --with-system-sane \
        --with-system-libpng \
        --with-system-libtiff \
        --with-system-libwebp \
        --with-vendor="UBports"'
    - make
